/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-16 16:19:24.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.client;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.admin.api.ExamStudentInfoCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.SaveExamStudentInfoReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.SaveExamStudentInfoResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

/**
 * 考生信息接口
 *
 * @author: fengdesheng
 * @since: 2018/8/15
 */
@Service
public class ExamInfoCloudServiceClient extends BasicCloudClientSupport implements ExamStudentInfoCloudService {
    private static final long serialVersionUID = -8874453764538303046L;
    @Autowired
    private RestTemplate restTemplate;
    @Autowired
    private RedisClient redisClient;

    @Override
    public SaveExamStudentInfoResp saveExamStudentInfo(SaveExamStudentInfoReq examStudentInfoReq) {
        return post("examStudentInfo/save", examStudentInfoReq, SaveExamStudentInfoResp.class);
    }

    @Override
    protected RedisClient getRedisClient() {
        return redisClient;
    }

    @Override
    protected RestTemplate getRestTemplate() {
        return restTemplate;
    }

}